Read donor-flow appearance and data declarations

​

Reads the same settings as the partner portal. Without church_id, the partner default. With church_id, the appearance that applies to that church (its own settings over the partner default) in settings, and what the church itself stores in church_settings. Sandbox and production are separate.

Query Parameters

Responses

  • application/json
  • application/problem+json
  • application/problem+json
  • application/problem+json
  • application/problem+json
Request Example for get/v1/flow-settings
curl https://api.sandbox.rostergiving.com/v1/flow-settings \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "version": 0,
  "settings": {
    "button_label": "string",
    "brand_color": null,
    "display_name": "string",
    "support_contact": "hello@example.com",
    "logo_url": "https://example.com",
    "cta_label": "string",
    "manage_url": "https://example.com",
    "customization": {
      "customize_churches": true,
      "collected_fields": [
        "donor_phone"
      ],
      "css": {
        "background_color": "string",
        "text_color": "string",
        "button_color": "string",
        "button_text_color": "string",
        "input_background": "string",
        "input_text_color": "string",
        "border_color": "string",
        "modal_width": "string",
        "border_radius": "string",
        "button_radius": "string",
        "input_radius": "string",
        "font_size": "string",
        "padding": "string",
        "gap": "string",
        "line_height": "string",
        "font_family": "Inter"
      }
    }
  },
  "church_settings": {
    "button_label": "string",
    "brand_color": null,
    "display_name": "string",
    "support_contact": "hello@example.com",
    "logo_url": "https://example.com",
    "cta_label": "string",
    "manage_url": "https://example.com",
    "customization": {
      "customize_churches": true,
      "collected_fields": [
        "donor_phone"
      ],
      "css": {
        "background_color": "string",
        "text_color": "string",
        "button_color": "string",
        "button_text_color": "string",
        "input_background": "string",
        "input_text_color": "string",
        "border_color": "string",
        "modal_width": "string",
        "border_radius": "string",
        "button_radius": "string",
        "input_radius": "string",
        "font_size": "string",
        "padding": "string",
        "gap": "string",
        "line_height": "string",
        "font_family": "Inter"
      }
    }
  },
  "removed": [
    "string"
  ]
}